<?php
// Set content type to JSON for easy consumption by clients like Postman
header('Content-Type: application/json');

// Check the request method and process accordingly
$requestMethod = $_SERVER['REQUEST_METHOD'];

// Initialize an array to store the response data
$response = [
    'status' => 'success',
    'message' => 'Data received successfully.',
    'method' => $requestMethod,
    'data' => null
];

switch ($requestMethod) {
    case 'POST':
        // Get JSON data from POST body
        $postData = file_get_contents("php://input");
        $data = json_decode($postData, true);  // Decode JSON to PHP array
        $response['data'] = $data;
        break;
    case 'GET':
        // Use $_GET array to access query parameters
        $response['data'] = $_GET;
        break;
    default:
        // Handle other request types if necessary
        $response = [
            'status' => 'error',
            'message' => 'Invalid request method. Only GET and POST are supported.',
            'method' => $requestMethod
        ];
        break;
}

// Send response back to client
echo json_encode($response);
?>
